# $Id: smeserver-ntop.spec,v 1.24 2009/05/26 09:48:21 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: Ntop integration in SME Server
%define name smeserver-ntop
Name: %{name}
%define version 0.1.2
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: e-smith-devtools

Requires: ntop
Requires: e-smith-base
Requires: smeserver-webapps-common

%description
This package contains all the needed scripts and templates
to run ntop on your SME Server

%changelog
* Thu Dec 4 2014 Daniel B. <daniel@firewall-services.com> 0.1.2-1
- Compat with ntop 5.0 on SME 9

* Tue Jan 15 2013 Daniel B. <daniel@firewall-services.com> 0.1.1-1
- Skip VPN interface for disabled daemon

* Thu May 31 2012 Daniel B. <daniel@firewall-services.com> 0.1.0-1
- Move to GIT
- Expand conf before startup

* Tue Feb 21 2012 Daniel B. <daniel@firewall-services.com> 0.1-6
- Expand ntop conf in bootstrap-console-save

* Wed Dec 07 2011 Daniel B. <daniel@firewall-services.com> 0.1-5
- templates cleanup
- fix Decoders prop
- create pcap dir
- Add some more default options
- Define displayed protocols instead of defaults ones
- Make save-suspicious-packets optional

* Thu Oct 20 2011 Daniel B. <daniel@firewall-services.com> 0.1-4
- Add VPN (openvpn-s2s) interfaces

* Wed Oct 12 2011 Daniel B. <daniel@firewall-services.com> 0.1-3
- Don't merge traffic on different interfaces

* Thu Feb 24 2011 Daniel B. <daniel@firewall-services.com> 0.1-2
- stop requiring mod_proxy_html, use a vhost for proxypass instead
- remove link from the server-manager
- Make it working with the EPEL version of ntop

* Tue Nov 16 2010 Daniel B. <daniel@firewall-services.com> 0.1-1
- initiale release

%prep

%setup -q -n %{name}-%{version}

%build
perl createlinks
%{__mkdir_p} root/var/log/ntop
%{__mkdir_p} root/var/lib/ntop/pcap


%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --file /var/service/ntop/run 'attr(0755,root,root)' \
  --file /var/service/ntop/log/run 'attr(0755,root,root)' \
  --dir /var/log/ntop 'attr(0750,smelog,smelog)' \
  --dir /var/lib/ntop/pcap 'attr(0750,ntop,ntop)' \
  > %{name}-%{version}-filelist
echo "%doc CHANGELOG.git" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%post

%preun

true

